Bug 6482 - GTK3 theme bugs
: GTK3 theme bugs
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 6516
  Show dependency treegraph
 
Reported: 2015-12-22 12:39 MSK by Vladimir Potapov
Modified: 2016-01-19 07:09 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (21.08 KB, image/png)
2015-12-22 12:39 MSK, Vladimir Potapov
Details
ss2 (36.32 KB, image/png)
2015-12-22 12:45 MSK, Vladimir Potapov
Details
Не вижу проблем с ROSA-ELEMENTARY на KDE (124.48 KB, image/png)
2015-12-28 20:13 MSK, Stanislav Fomin
Details
До установки темы (32.10 KB, image/png)
2015-12-29 17:08 MSK, Vladimir Potapov
Details
pavucontrol после установки (32.52 KB, image/png)
2015-12-29 17:13 MSK, Vladimir Potapov
Details
исправленныая тема (21.45 KB, application/zip)
2016-01-14 13:24 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-12-22 12:39:43 MSK
Created attachment 4324 [details]
ss

Bad printer icon after GTK update
Comment 1 Vladimir Potapov 2015-12-22 12:45:24 MSK
Created attachment 4325 [details]
ss2

В диалоге печати:
1) Кнопки снизу обрезаны
2) Места под галочки не отмечены
3) Переключатель не соответствует общей теме
Comment 2 Denis Silakov 2015-12-24 17:25:22 MSK
Первая проблема исправлена в новом system-config-printer
Comment 4 Stanislav Fomin 2015-12-28 20:13:28 MSK
Created attachment 4332 [details]
Не вижу проблем с ROSA-ELEMENTARY на KDE

Поставил 
* KDE http://file-store.rosalinux.ru/api/v1/file_stores/e2b2dc012c770388e306221b413be1dad4940c41
* Тему http://abf-downloads.rosalinux.ru/rosa2014.1/container/2610070/x86_64/main/release/rosa-elementary-theme-2.8.2-2-rosa2014.1.noarch.rpm

См. аттач. Проблем чекбоксами, раиобаттонами, пропаданием темы не вижу.
Comment 5 Vladimir Potapov 2015-12-28 22:47:23 MSK
Стас, на скрине действительно все "не пропадает", но тема совсем не росиная. 
Запусти параметры/офррмление приложений и посмотри, например, как должны выглядеть вкладки (на моем скрине они тоже есть) и как они выглядят после установки этой темы.
Comment 6 Vladimir Potapov 2015-12-29 17:08:19 MSK
Created attachment 4334 [details]
До установки темы

pavucontrol до установки последней версии rosa-elementary (соответствует общему виду KDE)
Comment 7 Vladimir Potapov 2015-12-29 17:13:09 MSK
Created attachment 4335 [details]
pavucontrol после установки

pavucontrol после установки темы rosa-elementary-theme-2.8.3-1
Comment 8 Stanislav Fomin 2015-12-29 18:22:26 MSK
«тема совсем не росиная.»

Нет никакой «РОСИной» темы.

Росиная тема — это взяли тему elementary, и внесли пару патчей.
Я восстановил  — взял современную тему elementary, более-менее совместимую с GTK 3.16 (хотя слабо совместимую  с KDE) и внес те критические патчи (скроллеры, основные параметры, CSD…). Что-то починил, что-то сломал. 

Претензии к теме принимаются только конкретные («мы привыкли здесь на один пиксель больше, кровь из носу надо»)

Или «patches are welcome».
Comment 9 Stanislav Fomin 2015-12-29 18:23:45 MSK
С вкладками да, вижу, фигня.

Нужен рисерч. Но не раньше НГ смогу смотреть.
Comment 10 Vladimir Potapov 2015-12-29 18:35:30 MSK
*** Bug 6500 has been marked as a duplicate of this bug. ***
Comment 11 Andrey Bondrov 2016-01-11 14:57:31 MSK
(In reply to comment #9)
> Нужен рисерч. Но не раньше НГ смогу смотреть.

Стас, не получилось ещё выделить на баги темы время? Он главный блокер релиза R7, очень хотелось бы его закрыть и выпустить релиз как можно скорее.
Comment 12 Andrey Bondrov 2016-01-13 15:42:13 MSK
По check и radio элементам. Кажется, надо заменять

.radio row:selected:focus:active:insensitive:backdrop {
    background-image: url("../assets/radio-selected-insensitive.png");
    background-position: right bottom;
    background-repeat: no-repeat;
}

на

.radio row:selected:focus:active:insensitive:backdrop {
    -gtk-icon-source: -gtk-scaled(url("../assets/radio-selected-insensitive.png"));
}

И в таком духе.
Comment 13 Vladimir Potapov 2016-01-13 19:18:21 MSK
чтоб сохраняло уже установленное положение нужно добавлять
.radio:focus,

но пока не сохраняет первоначальное и пропадает отметка при потере фокуса всей группы.
Comment 14 Vladimir Potapov 2016-01-13 19:28:58 MSK
(In reply to comment #13)

> но пока не сохраняет первоначальное и пропадает отметка при потере фокуса
> всей группы.
radio.checked
Comment 15 Vladimir Potapov 2016-01-14 13:24:56 MSK
Created attachment 4348 [details]
исправленныая тема

Исправил чекбоксы и радиокнопки, почти исправил тень и частично (кроме огнелиса) подправил голубые рамки. Неидеально, но уже можно жить.
Comment 16 Andrey Bondrov 2016-01-14 14:43:15 MSK
(In reply to comment #15)
> Created attachment 4348 [details]
> исправленныая тема
> 
> Исправил чекбоксы и радиокнопки, почти исправил тень и частично (кроме
> огнелиса) подправил голубые рамки. Неидеально, но уже можно жить.

Advisory: "Add some GTK 3.16 fixes to rosa-elementary-theme 2.8.0"

https://abf.rosalinux.ru/build_lists/2618566
https://abf.rosalinux.ru/build_lists/2618567
Comment 17 Vladimir Potapov 2016-01-14 19:07:12 MSK
The update is sent to expanded testing
***************************************
Comment 18 Vladimir Potapov 2016-01-18 20:27:14 MSK
rosa-elementary-theme-2.8.0-3
https://abf.rosalinux.ru/build_lists/2618566
https://abf.rosalinux.ru/build_lists/2618567
******************************* Advisory ************************
Add some GTK 3.16 fixes to rosa-elementary-theme 2.8.0
*****************************************************************
QA Verified